## LOC Get Server request

LOC Get Server request

## Functions

QmiMessageLocGetServerInput * | qmi_message_loc_get_server_input_new ()
QmiMessageLocGetServerInput * | qmi_message_loc_get_server_input_ref ()
void | qmi_message_loc_get_server_input_unref ()
gboolean | qmi_message_loc_get_server_input_get_server_address_type ()
gboolean | qmi_message_loc_get_server_input_set_server_address_type ()
gboolean | qmi_message_loc_get_server_input_get_server_type ()
gboolean | qmi_message_loc_get_server_input_set_server_type ()
QmiMessageLocGetServerOutput * | qmi_message_loc_get_server_output_ref ()
void | qmi_message_loc_get_server_output_unref ()
gboolean | qmi_message_loc_get_server_output_get_result ()
void | qmi_client_loc_get_server ()
QmiMessageLocGetServerOutput * | qmi_client_loc_get_server_finish ()

## Types and Values

| QmiMessageLocGetServerInput
| QmiMessageLocGetServerOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocGetServerInput
        ╰── QmiMessageLocGetServerOutput

## Description

## Functions

### qmi_message_loc_get_server_input_new ()

    QmiMessageLocGetServerInput *
    qmi_message_loc_get_server_input_new (void);

Allocates a new QmiMessageLocGetServerInput.

#### Returns

the newly created QmiMessageLocGetServerInput. The returned value should be freed with `qmi_message_loc_get_server_input_unref()`.

Since: 1.22

### qmi_message_loc_get_server_input_ref ()

    QmiMessageLocGetServerInput *
    qmi_message_loc_get_server_input_ref (QmiMessageLocGetServerInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocGetServerInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_get_server_input_unref ()

    void
    qmi_message_loc_get_server_input_unref
                                   (QmiMessageLocGetServerInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocGetServerInput. |

Since: 1.22

### qmi_message_loc_get_server_input_get_server_address_type ()

    gboolean
    qmi_message_loc_get_server_input_get_server_address_type
                                   (QmiMessageLocGetServerInput *self,
                                    QmiLocServerAddressType *value_server_address_type,
                                    GError **error);

Get the 'Server Address Type' field from `self` .

#### Parameters

self | a QmiMessageLocGetServerInput. |
value_server_address_type | a placeholder for the output QmiLocServerAddressType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_get_server_input_set_server_address_type ()

    gboolean
    qmi_message_loc_get_server_input_set_server_address_type
                                   (QmiMessageLocGetServerInput *self,
                                    QmiLocServerAddressType value_server_address_type,
                                    GError **error);

Set the 'Server Address Type' field in the message.

#### Parameters

self | a QmiMessageLocGetServerInput. |
value_server_address_type | a QmiLocServerAddressType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_get_server_input_get_server_type ()

    gboolean
    qmi_message_loc_get_server_input_get_server_type
                                   (QmiMessageLocGetServerInput *self,
                                    QmiLocServerType *value_server_type,
                                    GError **error);

Get the 'Server Type' field from `self` .

#### Parameters

self | a QmiMessageLocGetServerInput. |
value_server_type | a placeholder for the output QmiLocServerType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_get_server_input_set_server_type ()

    gboolean
    qmi_message_loc_get_server_input_set_server_type
                                   (QmiMessageLocGetServerInput *self,
                                    QmiLocServerType value_server_type,
                                    GError **error);

Set the 'Server Type' field in the message.

#### Parameters

self | a QmiMessageLocGetServerInput. |
value_server_type | a QmiLocServerType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_get_server_output_ref ()

    QmiMessageLocGetServerOutput *
    qmi_message_loc_get_server_output_ref (QmiMessageLocGetServerOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocGetServerOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_get_server_output_unref ()

    void
    qmi_message_loc_get_server_output_unref
                                   (QmiMessageLocGetServerOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocGetServerOutput. |

Since: 1.22

### qmi_message_loc_get_server_output_get_result ()

    gboolean
    qmi_message_loc_get_server_output_get_result
                                   (QmiMessageLocGetServerOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocGetServerOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_client_loc_get_server ()

    void
    qmi_client_loc_get_server (QmiClientLoc *self,
                               QmiMessageLocGetServerInput *input,
                               guint timeout,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously sends a Get Server request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_get_server_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocGetServerInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_loc_get_server_finish ()

    QmiMessageLocGetServerOutput *
    qmi_client_loc_get_server_finish (QmiClientLoc *self,
                                      GAsyncResult *res,
                                      GError **error);

Finishes an async operation started with `qmi_client_loc_get_server()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_get_server()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocGetServerOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_get_server_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageLocGetServerInput

    typedef struct _QmiMessageLocGetServerInput QmiMessageLocGetServerInput;

The QmiMessageLocGetServerInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageLocGetServerOutput

    typedef struct _QmiMessageLocGetServerOutput QmiMessageLocGetServerOutput;

The QmiMessageLocGetServerOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22